Skip to main content
PUT
/
apl-starred-queries
/
{id}
cURL
curl --request PUT \
  --url https://api.axiom.co/v2/apl-starred-queries/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "apl",
  "metadata": {},
  "name": "<string>",
  "query": {
    "apl": "<string>",
    "cursor": "<string>",
    "defaultLimit": 123,
    "defaultOrder": [
      {
        "desc": true,
        "field": "<string>"
      }
    ],
    "endTime": "<string>",
    "includeCursor": true,
    "includeCursorField": true,
    "libraries": [
      "<string>"
    ],
    "queryOptions": {
      "disableCache": true,
      "disableStats": true,
      "disableTrace": true,
      "maxDataPoints": 123,
      "maxSeries": 123,
      "noAggregation": true,
      "noFill": true,
      "noInterpolation": true,
      "priority": "low",
      "resolution": "<string>",
      "displayNull": "auto",
      "overlayCharts": "true",
      "shownColumns": "<string>",
      "timeSeriesVariant": "area",
      "timeSeriesView": "charts"
    },
    "startTime": "<string>",
    "variables": {}
  },
  "who": "<string>",
  "dataset": "<string>"
}
'
{
  "kind": "apl",
  "metadata": {},
  "name": "<string>",
  "query": {
    "apl": "<string>",
    "cursor": "<string>",
    "defaultLimit": 123,
    "defaultOrder": [
      {
        "desc": true,
        "field": "<string>"
      }
    ],
    "endTime": "<string>",
    "includeCursor": true,
    "includeCursorField": true,
    "libraries": [
      "<string>"
    ],
    "queryOptions": {
      "disableCache": true,
      "disableStats": true,
      "disableTrace": true,
      "maxDataPoints": 123,
      "maxSeries": 123,
      "noAggregation": true,
      "noFill": true,
      "noInterpolation": true,
      "priority": "low",
      "resolution": "<string>",
      "displayNull": "auto",
      "overlayCharts": "true",
      "shownColumns": "<string>",
      "timeSeriesVariant": "area",
      "timeSeriesView": "charts"
    },
    "startTime": "<string>",
    "variables": {}
  },
  "who": "<string>",
  "id": "<string>",
  "dataset": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://axiom.co/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

id
string
required

Body

application/json
kind
enum<string>
required
Available options:
apl
metadata
object
required
name
string
required
query
object
required
who
string
required
dataset
string

Response

200 - application/json

StarredQueryWithId

kind
enum<string>
required
Available options:
apl
metadata
object
required
name
string
required
query
object
required
who
string
required
id
string
required
dataset
string